'FILE RELOCATE UTILITY
'FOR USE WITH MARKTIME.BAS
'BY MIKE MCCAULEY
'REV 1.0 - 5/10/88

DEFINT Z
DEFDBL A-Y
TARGETCH$ = " "
ZFIL$ = "*.*"
C$ = COMMAND$

'Load data from MARKTIME.DAT

OPEN "MARKTIME.DAT" FOR RANDOM AS #1 LEN = 32
FIELD #1, 32 AS M$
GET #1, 1
MD = VAL(LEFT$(M$, 8))
MT = VAL(MID$(M$, 9, 6))
MD$ = MID$(M$, 15, 10)
MT$ = RIGHT$(M$, 8)
CLOSE #1

'Print the display screen

CLS
PRINT "Searching this directory for files stamped"
PRINT "later than "; : PRINT MD$; : PRINT " at "; : PRINT MT$; : PRINT "."
PRINT
PRINT "The following files have been located"
PRINT "and moved to \"; : PRINT C$; : PRINT "\ :"
PRINT

'Select files to copy, then delete

CALL FINDFIRSTF(ZFIL$ + CHR$(0), 0, ZERRCODE%)

NEXTFILE:
'Get the name of the file
ZFILN$ = SPACE$(12)
CALL GETNAMEF(ZFILN$, ZFLEN%)
NAME$ = LEFT$(ZFILN$, ZFLEN%)

'Get file date, format, and strip blanks
CALL GETDATEF(ZMONTH%, ZDAY%, ZYEAR%)
M$ = STR$(ZMONTH%)
IF LEN(M$) = 2 THEN M$ = "0" + M$
D$ = STR$(ZDAY%)
IF LEN(D$) = 2 THEN D$ = "0" + D$
Y$ = STR$(ZYEAR%)
FD = VAL(Y$ + M$ + D$)

'Get file time, format, and strip blanks
CALL GETTIMEF(ZHOUR%, ZMINUTE%, ZSECOND%)
H$ = STR$(ZHOUR%)
IF LEN(H$) = 2 THEN H$ = "0" + H$
M$ = STR$(ZMINUTE%)
IF LEN(M$) = 2 THEN M$ = "0" + M$
S$ = STR$(ZSECOND%)
IF LEN(S$) = 2 THEN S$ = "0" + S$
FT = VAL(H$ + M$ + S$)

IF FD < MD THEN GOTO CHECKLOOP
IF FT < MT THEN GOTO CHECKLOOP
IF NAME$ = "MARKTIME.DAT" THEN GOTO CHECKLOOP
IF NAME$ = "PHONE.LOG" THEN GOTO CHECKLOOP
IF LEFT$(NAME$, 6) = "PCPLUS" THEN GOTO CHECKLOOP
IF LEFT$(NAME$, 7) = "PROCOMM" THEN GOTO CHECKLOOP

'Insert other exceptions to transfer here as required,
'using the form shown above, and recompile.

D = 1
S$ = NAME$ + CHR$(0)
D$ = "\" + C$ + "\" + S$
CALL COPYFILE(S$, D$, ZERRCODE)
KILL NAME$
PRINT NAME$

CHECKLOOP:
'Check for additional text files and loop if present
CALL FINDNEXTF(ZERRCODE%)
IF ZERRCODE% = 0 THEN GOTO NEXTFILE

'End of check loop. Report if no matching files are found.
IF D = 0 THEN PRINT "No target files found"

